.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 900;
    position: absolute;
    background: white;

    &__wrap {
        position: relative;
    }

    &__primary {
        z-index: 500;
        padding-top: rem(12);
        padding-bottom: rem(12);
        display: flex;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(16);
    }

    &__secondary {
        display: flex;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(16);
        padding-bottom: rem(16);
    }

    &__group {
        display: flex;
        align-items: center;
        column-gap: rem(16);
    }

    &__call {
        display: flex;
        flex-grow: 1;
        align-items: flex-end;
        flex-direction: column;
        row-gap: rem(2);
    }

    &__phone {
        white-space: nowrap;
        display: block;
        width: rem(112);
        font-weight: 600;
        font-size: rem(11);
        line-height: rem(20);
        color: var(--gray-80);
        text-align: center;
        text-decoration: none;
        //padding-right: rem(15);
        position: relative;

        //&:before {
        //    right: 0;
        //    content: '';
        //    width: 9px;
        //    height: 5px;
        //    top: calc(50% - 2px);
        //    position: absolute;
        //    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nOScgaGVpZ2h0PSc1JyB2aWV3Qm94PScwIDAgOSA1JyBmaWxsPSdub25lJyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnPjxwYXRoIGQ9J00wLjc1IDAuNUw0LjUgNC4yNUw4LjI1IDAuNUgwLjc1WicgZmlsbD0nIzMzMzMzMycvPjwvc3ZnPg==");
        //    background-position: 50% 50%;
        //    background-repeat: no-repeat;
        //}
    }

    &__callback {
        cursor: pointer;
        font-weight: 600;
        font-size: rem(9);
        line-height: rem(12);
        border-radius: 30px;
        padding: 0 rem(8);
        height: rem(16);
        white-space: nowrap;
        background: transparent;
        text-transform: uppercase;
        border: 1px solid var(--blue);
        color: var(--blue);
        display: flex;
        align-items: center;
        justify-content: center;
        transition: var(--transition-time);

        &:hover {
            color: white;
            background-color: var(--blue);
            transition: var(--transition-time);
        }
    }

    &__search {
        flex-grow: 1;

        &--xl {
            display: none;
        }
    }

    &__scroll {
        display: none;
    }

    &__logo-sm {
        width: rem(32);
        height: rem(32);
        display: block;
        flex-shrink: 0;
    }

    &__contacts {
        display: none;
    }

    &__message {
        display: flex;
        align-items: center;
        column-gap: rem(16);
    }

    &__buttons {
        display: none;
    }

    &__email {

    }

    &__nav {
        display: none;
    }

    &__link {
        height: rem(46);
        font-weight: 600;
        color: var(--gray-80);
        white-space: nowrap;
        text-decoration: none;
        transition: var(--transition-time);
        display: flex;
        align-items: center;

        &:hover {
            color: var(--blue);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &__info {
        display: none;
    }

    &__work-time {
        color: var(--gray-80);
        font-size: rem(13);
        line-height: rem(20);
        white-space: nowrap;
    }

    &__city {

    }

    @include media-breakpoint-up(md) {

        &__primary {
            height: rem(64);
            padding-top: rem(12);
            padding-bottom: rem(12);
        }

        &__secondary {
            column-gap: rem(10);
        }

        &__call {
            flex-grow: 0;
            align-items: center;
            flex-direction: row;
            justify-content: flex-end;
            column-gap: rem(16);
        }

        &__phone {
            width: auto;
            font-size: rem(13);
            line-height: rem(22);
        }

        &__callback {
            color: white;
            height: rem(32);
            width: rem(160);
            font-size: rem(11);
            line-height: rem(14);
            border-radius: rem(20);
            padding: rem(4) rem(16);
            background-color: var(--blue);
            flex-shrink: 0;


            &:hover {
                fill: white;
                color: white;
                border-color: var(--w75);
                background-color: var(--w75);
            }

            &:active {
                fill: white;
                color: white;
                border-color: var(--blue);
                background-color: var(--blue);
            }
        }

        &__contacts {
            display: flex;
            align-items: center;
            column-gap: rem(24);
            flex-grow: 1;
        }

        &__buttons {
            display: flex;
            align-items: center;
        }
    }

    @include media-breakpoint-up(lg) {

        &__primary {
            column-gap: rem(24);
        }

        &__email {
            display: flex;
            align-items: center;
            column-gap: rem(9);
        }
    }

    @include media-breakpoint-up(xl) {

        &__primary {
            height: rem(76);
            column-gap: rem(28);
        }

        &__secondary {
            height: rem(54);
            padding-bottom: rem(6);
            column-gap: rem(32);
        }

        &__burger {
            display: none;
        }

        &__contacts {
            flex-grow: 0;
            row-gap: rem(4);
            align-items: flex-start;
            justify-content: center;
            flex-direction: column;
        }

        &__email {
            font-size: rem(15);
            line-height: rem(22);
        }

        &__phone {
            font-size: rem(14);
            line-height: rem(20);
        }

        &__callback {
            width: rem(140);
            font-size: rem(10);
            line-height: rem(12);
            height: rem(32);
        }

        &__call {
            flex-direction: column;
            align-items: center;
            justify-content: center;
            row-gap: rem(4);
        }

        &__search {

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__button {
            width: rem(65);
        }

        &__nav {
            font-size: rem(13);
            line-height: rem(20);
            display: block;
            flex-grow: 1;


            > ul {
                margin: 0;
                padding: 0;
                list-style: none;
                display: flex;
                align-items: center;
                column-gap: rem(48);

                > li {
                    position: relative;

                    > a {
                        height: rem(46);
                        font-weight: 600;
                        fill: var(--gray-60);
                        color: var(--gray-80);
                        white-space: nowrap;
                        text-decoration: none;
                        transition: var(--transition-time);
                        display: flex;
                        column-gap: rem(4);
                        align-items: center;

                        i {
                            display: block;
                            flex-shrink: 0;
                            width: rem(16);
                            height: rem(16);
                        }

                        span + i {
                            margin-left: rem(6);
                        }

                        &:hover {
                            fill: var(--blue);
                            color: var(--blue);
                            text-decoration: none;
                            transition: var(--transition-time);
                        }

                        &.highlighted {
                            fill: var(--red-75);
                            color: var(--red-75);
                        }

                        &.active {
                            fill: #00A5FF;
                            color: #00A5FF;
                        }
                    }

                    > ul {
                        margin: 0;
                        padding: 0;
                        list-style: none;
                        top: 100%;
                        left: rem(-12);
                        min-width: rem(160);
                        position: absolute;
                        overflow: hidden;
                        border-radius: rem(6);
                        display: flex;
                        flex-direction: column;
                        background-color: white;
                        box-shadow: var(--shadow);
                        opacity: 0;
                        visibility: hidden;
                        transition: opacity .25s;

                        li {

                            &:not(:last-child) {
                                border-bottom: 1px solid var(--gray-5);
                            }

                            a {
                                color: var(--gray-50);
                                text-decoration: none;
                                padding: rem(4) rem(12);
                                background-color: white;
                                min-height: rem(28);
                                display: flex;
                                align-items: center;

                                &:hover {
                                    color: white;
                                    text-decoration: none;
                                    background-color: var(--blue);
                                }
                            }
                        }
                    }

                    &:hover {

                        > a {
                            fill: var(--blue);
                            color: var(--blue);
                            text-decoration: none;
                            transition: var(--transition-time);

                            i {
                                transform: rotate(180deg);
                            }
                        }

                        > ul {
                            opacity: 1;
                            visibility: visible;
                            transition: opacity .25s;
                        }
                    }
                }
            }
        }

        &__info {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: center;
            row-gap: rem(4);
        }

        &__wrap {
            padding-left: rem(278);
        }

        &__message {
            column-gap: rem(9);
        }
    }
}

.header-logo {
    display: block;
    font-size: rem(15);
    line-height: rem(22);
    color: var(--gray-60);
    text-decoration: none;
    flex-shrink: 0;

    &:hover {
        color: var(--gray-60);
        text-decoration: none;
    }

    &__image {
        display: block;
        width: rem(146);
    }

    &__text {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__image {
            width: rem(160);
        }
    }

    @include media-breakpoint-up(lg) {

        &__image {
            width: rem(194);
        }
    }

    @include media-breakpoint-up(xl) {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 100;
        width: rem(250);
        position: absolute;
        font-size: rem(12);
        line-height: rem(16);
        padding: rem(16) rem(12) rem(16) rem(12);
        border: 1px solid var(--gray-10);
        border-radius: 0 0 rem(4) rem(4);
        border-top: none;

        &__image {
            width: rem(226);
        }

        &__text {
            display: block;
            margin-top: rem(10);
        }
    }

    @include media-breakpoint-up(wide) {
        //width: rem(315);
        //
        //&__image {
        //    width: rem(279);
        //}
    }
}

.header-burger {
    border: none;
    outline: none;
    width: rem(32);
    height: rem(32);
    display: block;
    cursor: pointer;
    position: relative;
    border-radius: 50%;
    background: var(--blue);

    span,
    &:after,
    &:before {
        left: calc(50% - 8px);
        width: 16px;
        height: 2px;
        content: '';
        display: block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 2px;
        background-color: white;
    }

    span {
        top: calc(50% - 1px)
    }

    &:after {
        top: calc(50% + 4px)
    }

    &:before {
        top: calc(50% - 6px)
    }
}

.header-search {
    position: relative;

    &__field {
        margin: 0;
        width: 100%;
        height: rem(32);
        outline: none;
        color: var(--gray-80);
        box-shadow: none;
        font-weight: 400;
        font-size: rem(12);
        line-height: rem(16);
        border-radius: rem(4);
        padding: rem(7) rem(72) rem(8) rem(8);
        background: #F8F8F8;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid var(--gray-10);

        &::placeholder {
            color: var(--gray-40);
            transition: var(--transition-time);
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            background-color: white;
            border-color: var(--primary);

            &::placeholder {
                color:transparent;
            }
        }

        &.error {
            border-color: red !important;
        }
    }

    &__button {
        top: 0;
        padding: 0;
        z-index: 20;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(32);
        height: rem(32);
        cursor: pointer;
        fill: var(--gray-40);
        position: absolute;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(20);
            flex-shrink: 0;
            display: inline-block;
        }

        &--submit {
            right: 0;
            fill: white;
            background: var(--blue);
            border-radius: 0 rem(4) rem(4) 0;
            transition: var(--transition-time);

            &:hover {
                fill: white;
                border-color: var(--w75);
                background-color: var(--w75);
            }

            &:active {
                fill: white;
                background: var(--blue);
            }
        }

        &--reset {
            right: rem(38);
            opacity: 0;
            visibility: hidden;
        }

        &:hover {
            fill: var(--gray-60);
        }
    }

    &.filled {

        .header-search__button--reset {
            opacity: 1;
            visibility: visible;
        }
    }

    @include media-breakpoint-up(md) {

        &__field {
            height: rem(42);
            font-size: rem(15);
            line-height: rem(20);
            padding: rem(10) rem(72) rem(10) rem(16);
        }

        &__button {
            width: rem(42);
            height: rem(42);

            i {
                height: rem(24);
            }

            &--submit {
                right: 0;
            }

            &--reset {
                width: rem(48);
                right: rem(42);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__field {
            height: rem(32);
            font-size: rem(12);
            line-height: rem(16);
            padding: rem(7) rem(72) rem(7) rem(12);
        }

        &__button {
            width: rem(32);
            height: rem(32);

            i {
                height: rem(16);
            }

            &--submit {
                right: 0;
            }

            &--reset {
                width: rem(32);
                right: rem(38);
            }
        }
    }
}

.header-label {
    left: 0;
    top: 0;
    position: absolute;


    @include media-breakpoint-up(md) {
        top: 0;
    }

    @include media-breakpoint-up(xl) {
        top: rem(120);
    }
}

.header-button {
    width: rem(64);
    height: rem(42);
    cursor: pointer;
    position: relative;
    fill: var(--gray-50);
    color: var(--gray-40);
    stroke: var(--gray-50);
    font-weight: 400;
    font-size: rem(10);
    line-height: rem(14);
    text-decoration: none;
    text-align: center;
    display: flex;
    align-items: center;
    row-gap: rem(3);
    justify-content: center;
    flex-direction: column;
    transition: var(--transition-time);
    flex-shrink: 0;

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        flex-shrink: 0;
    }

    &__title {
        display: block;
    }

    &__counter {
        top: 0;
        left: calc(50% + 3px);
        color: white;
        width: rem(16);
        height: rem(16);
        font-weight: 700;
        font-size: rem(11);
        line-height: rem(12);
        position: absolute;
        border-radius: 50%;
        background: var(--red);
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0;
        visibility: hidden;
    }

    &:hover {
        fill: var(--blue);
        color: var(--blue);
        stroke: var(--blue);
        transition: var(--transition-time);
    }

    &.active {
        fill: var(--primary);
        stroke: var(--primary);

        .header-button__counter {
            opacity: 1;
            visibility: visible;
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(70);
        height: rem(48);

        &__counter {
            top: 2px;
        }

    }
}

.header-sticky {
    top: 0;
    left: 0;
    right: 0;
    z-index: 500;
    position: fixed;
    background: rgba(255, 255, 255, 0.95);
    box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0.15);
    display: none;
    opacity: 1;
    visibility: hidden;
    transition: var(--transition-time);
    display: none;

    &--hide {
        opacity: 0;
        visibility: hidden;
        transition: var(--transition-time);
    }

    &__main {
        height: rem(76);
        display: flex;
        align-items: center;
        column-gap: rem(28);
        justify-content: space-between;
    }

    &__logo {
        width: rem(250);
        height: rem(76);
        display: flex;
        align-items: center;
        justify-content: center;
        border-left: 1px solid var(--gray-10);
        border-right: 1px solid var(--gray-10);
        flex-shrink: 0;
    }

    &__image {
        display: block;
        width: rem(226);
        flex-shrink: 0;
    }

    &__search {
        flex-grow: 1;
    }

    &__contacts {
        flex-grow: 0;
        row-gap: rem(4);
        display: flex;
        align-items: flex-start;
        justify-content: center;
        flex-direction: column;
        margin-right: rem(-9);
    }

    &__call {
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        row-gap: rem(4);
    }

    &__buttons {
        display: flex;
        align-items: center;
        column-gap: rem(6);
    }

    @include media-breakpoint-up(xl) {
        display: block;
        opacity: 0;
        visibility: hidden;
        transition: var(--transition-time);
    }
}

.fixed-header {

    .header {
        top: rem(-50);
        position: fixed;
        box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0.15);

        &__secondary {
            padding-bottom: rem(12);
        }

        &__scroll {
            display: block;
        }
    }

    @include media-breakpoint-up(md) {

        .header {
            top: 0;

            &__secondary {
                padding-bottom: rem(16);
            }

            &__scroll {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        .header {
            position: absolute;
            padding-bottom: 0;
            box-shadow: none;

            &__secondary {
                padding-bottom: 0;
            }
        }

        .header-sticky {
            opacity: 1;
            z-index: 950;
            visibility: visible;
            transition: var(--transition-time);
        }
    }
}

.header-email {
    display: none;

    &__link {
        fill: var(--gray-80);
        color: var(--gray-80);
        font-size: rem(13);
        line-height: rem(22);
        white-space: nowrap;
        text-decoration: underline;

        &:hover {
            fill: var(--gray-80);
            color: var(--gray-80);
            text-decoration: none;
        }
    }

    &__button {
        padding: 0;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(16);
        height: rem(16);
        flex-shrink: 0;
        cursor: pointer;
        position: relative;
        fill: var(--gray-80);
        background: transparent;

        &:before {

        }

        &:hover {
            fill: var(--blue);
            transition: var(--transition-time);

            .header-email__tooltip  {
                opacity: 1;
                visibility: visible;
                transition: var(--transition-time);
            }
        }

        &.copied {
            fill: var(--blue);

            .header-email__tooltip {

                &:before {
                    width: 16px;
                    height: 16px;
                    display: block;
                    content: '';
                    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNNS44NjMzOSAxMC41ODM0TDMuMDgzMzkgNy44MDMzNkwyLjEzNjcyIDguNzQzMzZMNS44NjMzOSAxMi40N0wxMy44NjM0IDQuNDcwMDNMMTIuOTIzNCAzLjUzMDAzTDUuODYzMzkgMTAuNTgzNFonIGZpbGw9JyMwMEE1RkYnLz48L3N2Zz4=");
                    background-position: 50% 50%;
                    background-repeat: no-repeat;
                    background-size: cover;
                }

                &:after {
                    content: attr(data-copy-active);
                }
            }
        }
    }

    &__tooltip {
        left: rem(-20);
        top: calc(100% + 12px);
        padding: rem(6) rem(12);
        position: absolute;
        background: white;
        white-space: nowrap;
        overflow: hidden;
        font-size: rem(12);
        line-height: rem(16);
        color: var(--gray-50);
        border-radius: rem(4);
        box-shadow: var(--shadow);
        display: flex;
        column-gap: rem(10);
        align-items: center;
        opacity: 0;
        visibility: hidden;
        transition: var(--transition-time);

        &:after {
            content: attr(data-copy-hover);
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        align-items: center;
        column-gap: rem(9);
    }

    @include media-breakpoint-up(xl) {

        &__link {
            font-size: rem(12);
            line-height: rem(16);
        }
    }

    @include media-breakpoint-up(xxl) {}
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
